library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity top is
    Port ( clk : in  STD_LOGIC;
           btn : in  STD_LOGIC;
           led1 : out  STD_LOGIC;
           led2 : out  STD_LOGIC);
end top;

architecture Behavioral of top is

signal count		: std_logic_vector(21 downto 0);

begin
count_proc: process(clk,btn)
	begin
		if (btn='0') then COUNT <= (others => '0');
		elsif (clk'event and clk = '1') then count <= count+1;
		end if;
	end process;

led1 <= count(21);
led2 <= not count(21);

end Behavioral;